fig610 <- function(post=F)
{

 if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig610.ps", width=4.4, height=6.3, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}
 

 par(mfrow = c(3, 2),mar=c(5,3,3,1)+0.1)
 par(mex=0.5,csi=0.11)


 #Figure (a)
 par(fig=c(0,1,0.67,1))
 data <- logit.data$data
 tsplot(data[1:250,1], ylim=c(-15,15))
 lines(1:250, data[1:250,2]-17,lty=1)
 abline(0,0)
 title("Skeleton and simulated time series", "(a)")
 

 #Figure (b) -- (d)
 par(fig=c(0,0.5,0.33,0.67))
 data <- logit.data$cden
 x <- seq(1.5, 14.5,by=0.5); y <- x;
 data[data[,3] < 0, 3] <- 0
 z <- matrix(data[1:729,3],ncol=27, byrow=T)
 persp(x,y,z, box=F,xlab="X(t)", ylab="X(t+1)", zlab="")
 title("Conditional density", "(b)")

 par(fig=c(0.5,1,0.33,0.67))
 z <- matrix(data[730:1458,3],ncol=27, byrow=T)
 persp(x,y,z, box=F,xlab="X(t)", ylab="X(t+2)", zlab="")
 title("Conditional density", "(c)")

 par(fig=c(0, 0.5, 0, 0.33))
 z <- matrix(data[1459:2187,3],ncol=27, byrow=T)
 persp(x,y,z, box=F,xlab="X(t)", ylab="X(t+3)", zlab="")
 title("Conditional density", "(d)")

 #Figure (e)
 par(fig=c(0.5, 1, 0, 0.33))
 slice <- t(z[c(6,10,14),])
 matplot(x,slice, type="l")
 legend(min(x), max(slice), c(paste("x =", x[6]), paste("x =", x[10]),
          paste("x= ", x[14])), lty=1:3)
 title("Slices of densities", "(e)")
}
